Package com.sas.lsaf.execution.job

## Class ManifestExternalReference

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestExternalReference

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ManifestExternalReference
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents references to items that are not found or are not accessible from the current user's repository or workspace.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestExternalReference​(java.lang.String path, java.lang.String referencingProgram)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getPath()` | Gets the path to the external item.
    `java.lang.String` | `getReferencingProgram()` | Gets the program that referenced the item.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestExternalReference

          public ManifestExternalReference​(java.lang.String path,
                                           java.lang.String referencingProgram)

      Constructor.
      Parameters:
        `path` - The path to the external item.
        `referencingProgram` - The program that referenced the item.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the path to the external item.
      Returns:
        The path.

    - #### getReferencingProgram

          public java.lang.String getReferencingProgram()

      Gets the program that referenced the item.
      Returns:
        The program.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`